Merge "Revert "cloud-infra: Use sudo while operating on openrc""
diff --git a/jjb/cloud-infra/cloud-infra-deploy.sh b/jjb/cloud-infra/cloud-infra-deploy.sh
index eecb187..091a6d6 100644
--- a/jjb/cloud-infra/cloud-infra-deploy.sh
+++ b/jjb/cloud-infra/cloud-infra-deploy.sh
@@ -37,18 +37,27 @@
 #   If DEPLOY_TYPE is baremetal, we use variable NODE_NAME injected by Jenkins to the job
 #     in order to set PDF and IDF for the POD the job is running against.
 
-# we don't support ONAP scenario verification because it is expensive
-# TODO: we need to find a way to verify those patches in a cheaper way
-if [[ "$DEPLOY_SCENARIO" =~ "onap-" ]]; then
-  echo "Info: ONAP scenario verification has not been implemented yet!"
-  exit 0
-fi
+# be more explicit while determining if we support verification of the given scenario
+case $DEPLOY_SCENARIO in
+  onap*)
+    echo "Info: $DEPLOY_SCENARIO scenario verification has not been implemented yet!"
+    exit 0
+    ;;
+  os*|armada*)
+    if [[ "$PROVISIONER_TYPE" != "bifrost" ]]; then
+      echo "Info: $DEPLOY_SCENARIO scenario verification is only available with the provisioner bifrost"
+      exit 0
+    fi
+    ;;
+  k8*)
+    ;;
+  *)
+    echo "Error: Scenario $DEPLOY_SCENARIO is not supported!"
+    exit 1
+    ;;
+esac
 
-# we only support k8s scenario deployment on openstack as of now
-if [[ "$DEPLOY_SCENARIO" != "k8-*" ]] && [[ "$PROVISIONER_TYPE" == "heat" ]]; then
-  echo "Info: Only k8s scenario verification on OpenStack has been implemented!"
-  exit 0
-fi
+echo "Info: Proceeding with $DEPLOY_SCENARIO scenario using provisioner $PROVISIONER_TYPE"
 
 if [[ $DEPLOY_TYPE == "baremetal" ]]; then
   PDF="https://gerrit.nordix.org/gitweb?p=infra/hwconfig.git;a=blob_plain;f=pods/${NODE_NAME}-pdf.yml"
diff --git a/jjb/cloud-infra/delete-heat-stack.sh b/jjb/cloud-infra/delete-heat-stack.sh
index 872ba30..b732de4 100644
--- a/jjb/cloud-infra/delete-heat-stack.sh
+++ b/jjb/cloud-infra/delete-heat-stack.sh
@@ -29,17 +29,18 @@
   exit 0
 fi
 
-# we only support k8s scenario deployment on openstack as of now
-if [[ "$DEPLOY_SCENARIO" != "k8-*" ]] && [[ "$PROVISIONER_TYPE" == "heat" ]]; then
+# do not delete the stack if not explicitly set to delete
+if [[ "$DELETE_STACK" != "yes" ]]; then
   echo "-------------------------------------------------------------------------"
-  echo "Info: Only k8s scenario deployment on OpenStack has been implemented!"
+  echo "Info: Stack will not be deleted upon the completion of the job!"
   echo "-------------------------------------------------------------------------"
   exit 0
 fi
 
-if [[ "$DELETE_STACK" != "yes" ]]; then
+# k8s and onap scenario have stacks so exit for others
+if [[ ! "$DEPLOY_SCENARIO" =~ ^k8-.*|^onap-.* ]]; then
   echo "-------------------------------------------------------------------------"
-  echo "Info: Stack will not be deleted upon the completion of the job!"
+  echo "Info: Nothing to delete!"
   echo "-------------------------------------------------------------------------"
   exit 0
 fi
diff --git a/jjb/cloud-infra/determine-scenario.sh b/jjb/cloud-infra/determine-scenario.sh
index 10fea57..14833b3 100644
--- a/jjb/cloud-infra/determine-scenario.sh
+++ b/jjb/cloud-infra/determine-scenario.sh
@@ -47,7 +47,9 @@
     export PROVISIONER_TYPE=$(echo "$COMMIT_MESSAGE" | grep '^provisioner-type:' | cut -d":" -f2 | sed 's/\s*//g')
   else
     # default is almost always bifrost
-    export PROVISIONER_TYPE=bifrost
+    if [[ "$PROVISIONER_TYPE" == "" ]]; then
+      export PROVISIONER_TYPE=bifrost
+    fi
   fi
 
   if [[ "$COMMIT_MESSAGE" =~ "deploy-scenario:" && "$COMMIT_MESSAGE" =~ "installer-type:" ]]; then